---
title: "Get user role for template"
url: "https://docs.signnow.com/docs/template/operations/get-v2-templates-template_id-roles-user_id"
type: "endpoint"
section: "template"
slug: "template/operations/get-v2-templates-template_id-roles-user_id"
method: "GET"
path: "/v2/templates/{template_id}/roles/{user_id}"
operation_id: "get-v2-templates-template_id-roles-user_id"
authorization: "bearer"
---

# Get user role for template

`GET /v2/templates/{template_id}/roles/{user_id}`

This endpoint retrieves the role of a user for a specific shared template.

**Note**: This endpoint is accessible to the template owner and users with access (sender or viewer).


## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `template_id` | string | Yes | ID of the template. |
| `user_id` | string | Yes | ID of the user. |

## Responses

### 200

Success.

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "role": "sender"
    }
  ]
}
```

**Example** (`Successful request`)

```json
{
  "data": [
    {
      "role": "sender"
    }
  ]
}
```

### 400

- You are not the template owner.
- User with `user_id` doesn't have access to the template.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12029012,
      "message": "You don't have access to the entity."
    }
  ]
}
```

**Example** (`User role not found`)

```json
{
  "errors": [
    {
      "code": 12029011,
      "message": "User role not found."
    }
  ]
}
```

**Example** (`Not a template owner`)

```json
{
  "errors": [
    {
      "code": 12029012,
      "message": "You don't have access to the entity."
    }
  ]
}
```

### 404

- Incorrect `template_id`.
- Incorrect `user_id`.

**Example** (`Example 1`)

```json
{
  "404": "Unable to find a route to match the URI: v2/templates/8f050906ff0b40f8ae40eb9d82540d28ec86576d/roles/2274bf6278644e981584543275cdc0c88d67d45"
}
```

**Example** (`Incorrect user_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/templates/8f050906ff0b40f8ae40eb9d82540d28ec86576d/roles/2274bf6278644e981584543275cdc0c88d67d45"
}
```

**Example** (`Incorrect template_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/templates/8f050906ff0b40f8ae40eb9d82540d28ec86576d/roles/2274bf6278644e981584543275cdc0c88d67d45"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/templates/{template_id}/roles/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/template/operations/get-v2-templates-template_id-roles-user_id*
